#ifndef DRAW_H
	#define DRAW_H
	
	#include	"structs.h"
	#include	"common.h"
	
	#ifdef __cplusplus
	extern "C"{
	#endif
	
	int InitDraw(ZONE *z);
	inline void DrawPlayArea(BITMAP *l, BITMAP *h);
	inline void DrawBackArea(BITMAP *b);
	inline void SetGfxModeWindow();
	inline void SetGfxModeFull();
	void SetGfxMode(short res_x, short res_y, short pad_x, short pad_y, short dbl_x, short dbl_y, char full);
	
	//unsigned short ColorSolid16;
	
	PALETTE pal;
	
	#ifdef __cplusplus
	}
	#endif
#endif
